# Uses of Class
org.springframework.web.servlet.handler.BeanNameUrlHandlerMapping

Packages that use BeanNameUrlHandlerMapping
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of BeanNameUrlHandlerMapping in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return BeanNameUrlHandlerMapping
Modifier and Type
Method
Description
`BeanNameUrlHandlerMapping`
WebMvcConfigurationSupport.`beanNameHandlerMapping(org.springframework.format.support.FormattingConversionService conversionService, ResourceUrlProvider resourceUrlProvider)`
Return a `BeanNameUrlHandlerMapping` ordered at 2 to map URL paths to controller bean names.